ModuleConfigFactory (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.config
Class ModuleConfigFactory

    java.lang.Object
      org.apache.struts.config.ModuleConfigFactory

Direct Known Subclasses:
  DefaultModuleConfigFactory

    public abstract class ModuleConfigFactory

extends Object

A factory interface for creating `ModuleConfig`s.

Version:
  $Rev: 471754 $ $Date: 2005-05-07 12:11:38 -0400 (Sat, 07 May 2005) $
See Also:
  `ModuleConfig`

Field Summary
`protected static Class` | `clazz` The Java class to be used for `ModuleConfigFactory` instances.
`protected static String` | `factoryClass` The fully qualified class name to be used for `ModuleConfigFactory` instances.

Constructor Summary
`ModuleConfigFactory()`

Method Summary
`static ModuleConfigFactory` | `createFactory()` Create and return a `ModuleConfigFactory` instance of the appropriate class, which can be used to create customized `ModuleConfig` instances.
`abstract ModuleConfig` | `createModuleConfig(String prefix)` Create and return a newly instansiated `ModuleConfig`.
`static String` | `getFactoryClass()` The fully qualified class name that is used for `ModuleConfigFactory` instances.
`static void` | `setFactoryClass(String factoryClass)` Set the fully qualified class name that is used for `ModuleConfigFactory` instances.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### clazz

    protected static Class clazz

  The Java class to be used for `ModuleConfigFactory` instances.

### factoryClass

    protected static String factoryClass

  The fully qualified class name to be used for `ModuleConfigFactory` instances.

Constructor Detail

### ModuleConfigFactory

    public ModuleConfigFactory()

Method Detail

### createModuleConfig

    public abstract ModuleConfig createModuleConfig(String prefix)

  Create and return a newly instansiated `ModuleConfig`. This method must be implemented by concrete subclasses.

  Parameters:
    `prefix` - Module prefix for Configuration

### getFactoryClass

    public static String getFactoryClass()

  The fully qualified class name that is used for `ModuleConfigFactory` instances.

  Returns:
    class name that is used for `ModuleConfigFactory` instances

### setFactoryClass

    public static void setFactoryClass(String factoryClass)

  Set the fully qualified class name that is used for `ModuleConfigFactory` instances.

  Parameters:
    `factoryClass` - name that is used for `ModuleConfigFactory` instances

### createFactory

    public static ModuleConfigFactory createFactory()

  Create and return a `ModuleConfigFactory` instance of the appropriate class, which can be used to create customized `ModuleConfig` instances. If no such factory can be created, return `null` instead.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.